"""A setuptools based setup module.

See:
https://packaging.python.org/en/latest/distributing.html
https://github.com/pypa/sampleproject
"""

# Always prefer setuptools over distutils
from setuptools import setup, find_packages
# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()
with open(path.join(here, 'requirements.txt'), encoding='utf-8') as f:
    requirements = f.read().splitlines()

setup(name='process_nwb',
      description='ECoG preprocessing scripts for NWB files.',
      long_description=long_description,
      long_description_content_type='text/markdown',
      version='0.1.3',
      author='Jesse Livezey',
      author_email='jesse.livezey@gmail.com',
      packages=find_packages(),
      install_requires=requirements,
      scripts=['scripts/preprocess_folder'])
